Get contact activity timeline

Returns a contact's message activity, newest first, optionally filtered by channel.

GET
/v1/contacts/{id}/activity

Returns a contact's message activity, newest first, optionally filtered by channel. Pass nextCursor back as cursor for the next page; it is null on the last page.

x-api-key<token>

In: header

Path Parameters

id*string
Match^contact_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?string|null
cursor?CursorEncoded|null
channel?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/contacts/string/activity"
{  "items": [    {      "id": "string",      "channel": "string",      "direction": "string",      "status": "string",      "subject": "string",      "snippet": "string",      "createdAt": "string",      "conversationId": "string"    }  ],  "nextCursor": "string"}

Related documentation